Bug 474193 - Review Request: glog - A C++ application logging library
Review Request: glog - A C++ application logging library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 13:14 EST by John A. Khvatov
Modified: 2014-12-11 01:25 EST (History)
7 users (show)

See Also:
Fixed In Version: glog-0.3.3-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 10:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fedora-cvs flag is here (163.21 KB, image/png)
2008-12-11 06:10 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description John A. Khvatov 2008-12-02 13:14:09 EST
Spec URL: http://dev.sgu.ru/~ivaxer/glog.spec
SRPM URL: http://dev.sgu.ru/~ivaxer/glog-0.1.2-4.fc10.src.rpm
Description:
Google glog is a library that implements application-level
logging. This library provides logging APIs based on C++-style
streams and various helper macros.
Comment 1 Parag AN(पराग) 2008-12-03 06:26:03 EST
you need to use autotools because you have modified configure.
I tried but end up with many errors from libtool. when asked same on #fedora-devel I got link http://bugs.gentoo.org/236758 and bug 474330
Comment 2 John A. Khvatov 2008-12-03 10:19:11 EST
(In reply to comment #1)
> you need to use autotools because you have modified configure.
Why not use pregenerated configure? It's works fine for me.

So, i fix spec file to using autoconf:
SPEC: http://dev.sgu.ru/~ivaxer/glog.spec
SRPM: http://dev.sgu.ru/~ivaxer/glog-0.1.2-5.fc10.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=973485
Comment 3 John A. Khvatov 2008-12-04 10:31:26 EST
- fix %%{_includedir}
- fixed documentation

SPEC: http://dev.sgu.ru/~ivaxer/glog.spec
SRPM: http://dev.sgu.ru/~ivaxer/glog-0.1.2-6.fc10.src.rpm
Comment 4 Parag AN(पराग) 2008-12-08 04:47:20 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=986777
+ rpmlint is silent for SRPM and RPMs
+ source files match upstream url
64b44e0a36b25c4afc77a0f6b2b208ed  glog-0.1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package glog-0.1.2-6.fc11 =>
  Provides: libglog.so.0
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libc.so.6(GLIBC_2.7) libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgcc_s.so.1(GLIBC_2.0) libglog.so.0 libm.so.6 libpthread.so.0 libpthread.so.0(GLIBC_2.0) libpthread.so.0(GLIBC_2.1) libpthread.so.0(GLIBC_2.2) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) libstdc++.so.6(GLIBCXX_3.4.9) rtld(GNU_HASH)
+ Package glog-devel-0.1.2-6.fc11 =>
  Requires: libglog.so.0
+ Not a GUI application.

Note that I saw some messages in build.log like
aclocal-1.10: command not found 
automake-1.10: command not found

But still build is successful so if anyone sees this as blocker please comment here or report bug once this gets into Fedora.

APPROVED.
Comment 5 John A. Khvatov 2008-12-09 13:33:19 EST
New Package CVS Request
=======================
Package Name: glog
Short Description: A C++ application logging library
Owners: ivaxer
Branches: F-10
InitialCC:
Comment 6 John A. Khvatov 2008-12-10 16:30:02 EST
To mtasaka:
fedora-cvs flag is needed.
Comment 7 Mamoru TASAKA 2008-12-11 06:10:17 EST
Created attachment 326603 [details]
fedora-cvs flag is here

Do you still have a trouble in setting fedora-cvs flag?
If so, would you ask Toshio Kuratomi <a.badger@gmail.com>
with telling him your FAS name (ivaxer)?
By the way, the place to set fedora-cvs flag on this bug is attached.
Comment 8 Toshio Ernie Kuratomi 2008-12-11 11:43:38 EST
Are you trying to set the flag while logged in as ivaxer fedoraproject.org?  That won't work because the ivaxer@fp.o address doesn't have the extra bugzilla permissions to set it.  The email address you have registered in FAS (ivaxer stingr net) will work.
Comment 9 John A. Khvatov 2008-12-11 12:22:26 EST
(In reply to comment #8)
> Are you trying to set the flag while logged in as ivaxer fedoraproject.org? 
Yes.

> That won't work because the ivaxer@fp.o address doesn't have the extra bugzilla
> permissions to set it.  The email address you have registered in FAS (ivaxer
> stingr net) will work.
Thanks. (Previously, I changed email to fp.o via bugzilla web interface and started to use ivaxer fp.o login)
Comment 10 Mamoru TASAKA 2008-12-12 02:07:36 EST
Thank you, Toshio.
Comment 11 Kevin Fenzi 2008-12-14 00:35:29 EST
cvs done.
Comment 12 Fedora Update System 2008-12-15 10:43:26 EST
glog-0.1.2-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/glog-0.1.2-6.fc10
Comment 13 Fedora Update System 2008-12-30 18:53:45 EST
glog-0.1.2-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 John Khvatov 2014-11-19 07:27:03 EST
Package Change Request
======================
Package Name: glog
New Branches: epel7
Owners: ivaxer
Comment 15 Gwyn Ciesla 2014-11-19 07:57:24 EST
Git done (by process-git-requests).
Comment 16 Fedora Update System 2014-11-20 05:33:28 EST
glog-0.3.3-8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/glog-0.3.3-8.el7
Comment 17 Fedora Update System 2014-12-11 01:25:45 EST
glog-0.3.3-8.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.